Search documents
curl --request GET \
--url https://scribe.skeptrune.com/api/search \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/search"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/search")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "doc_S9tUvWxYzAbCdEfGh12i",
"title": "Launch plan",
"snippet": "…the <mark>launch</mark> window opens…",
"scope": "workspace",
"folderId": "fld_7qRsTuVwXyZaBcDeFg3h",
"updatedAt": 1752624000000
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Search
Search documents
Full-text search over titles and content, restricted to documents the caller can read — API keys search as their agent identity. Snippets highlight matches with <mark> tags.
GET
/
api
/
search
Search documents
curl --request GET \
--url https://scribe.skeptrune.com/api/search \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/search"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/search")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "doc_S9tUvWxYzAbCdEfGh12i",
"title": "Launch plan",
"snippet": "…the <mark>launch</mark> window opens…",
"scope": "workspace",
"folderId": "fld_7qRsTuVwXyZaBcDeFg3h",
"updatedAt": 1752624000000
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Authorizations
cookieAuthbearerAuth
Browser session cookie set by the WorkOS sign-in flow.
Query Parameters
Full-text search query.
Required string length:
1 - 200Example:
"launch"
Restrict results to one sidebar section. Omit to search everywhere.
Available options:
workspace, private, shared Example:
"workspace"
Response
The search results.
Full-text search results, filtered by what the caller can read.
Matching documents, best match first.
Show child attributes
Show child attributes
Example:
[
{
"id": "doc_S9tUvWxYzAbCdEfGh12i",
"title": "Launch plan",
"snippet": "…the <mark>launch</mark> window opens…",
"scope": "workspace",
"folderId": "fld_7qRsTuVwXyZaBcDeFg3h",
"updatedAt": 1752624000000
}
]